Show / Hide Table of Contents

# Class GLTextureWrap

OpenGL 3 Implementation of TextureWrap. Provides a simple wrapped view of the disposeable resource as well as the handle for ImGui.

##### Inheritance

System.Object
GLTextureWrap

##### Implements

TextureWrap
System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class GLTextureWrap : TextureWrap, IDisposable

### Constructors

| Improve this Doc View Source

#### GLTextureWrap(UInt32, Int32, Int32)

##### Declaration

    public GLTextureWrap(uint texture, int width, int height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | texture |
System.Int32 | width |
System.Int32 | height |

### Properties

| Improve this Doc View Source

#### Height

##### Declaration

    public int Height { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ImGuiHandle

##### Declaration

    public IntPtr ImGuiHandle { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Width

##### Declaration

    public int Width { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

### Implements

TextureWrap
System.IDisposable